# .readthedocs.yml
# Read the Docs configuration file.
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Set the version of Python and other tools you might need
build:
  os: ubuntu-22.04
  tools:
    python: "3.10"
  jobs:
    post_create_environment:
      - pip install poetry
    post_install:
      - VIRTUAL_ENV=$READTHEDOCS_VIRTUALENV_PATH poetry install --no-root

# Build documentation in the docs/src/ directory with Sphinx
sphinx:
  configuration: docs/src/conf.py
